com.trendmicro.ds.integrity.rest.object

## Class CounterIntegrityRuleElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.util.CounterElement
  - - com.trendmicro.ds.integrity.rest.object.CounterIntegrityRuleElement

-     public class CounterIntegrityRuleElement
      extends CounterElement

  A placeholder to store integrity rule for RESTful response

- - ### Field Summary

    - ### Fields inherited from class com.trendmicro.ds.platform.rest.object.util.CounterElement

      `description, extraValue, linkText, percentOfTotal, percentOfValue, previousValue, text, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterIntegrityRuleElement()`
    `CounterIntegrityRuleElement(java.lang.String text, long value, java.lang.Integer IntegrityRuleID)`
    `CounterIntegrityRuleElement(java.lang.String text, long value, java.lang.Integer IntegrityRuleID, java.lang.String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getIntegrityRuleID()` Get the ID of integrity rule
    `void` | `setIntegrityRuleID(java.lang.Integer integrityRuleID)` Set the ID of integrity rule

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.util.CounterElement

      `getDescription, getExtraValue, getLinkText, getPercentOfTotal, getPercentOfValue, getPreviousValue, getText, getValue, setDescription, setExtraValue, setLinkText, setPercentOfTotal, setPercentOfValue, setPreviousValue, setText, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CounterIntegrityRuleElement

          public CounterIntegrityRuleElement()

    - #### CounterIntegrityRuleElement

          public CounterIntegrityRuleElement(java.lang.String text,
                                             long value,
                                             java.lang.Integer IntegrityRuleID,
                                             java.lang.String description)

    - #### CounterIntegrityRuleElement

          public CounterIntegrityRuleElement(java.lang.String text,
                                             long value,
                                             java.lang.Integer IntegrityRuleID)

  - ### Method Detail

    - #### getIntegrityRuleID

          public java.lang.Integer getIntegrityRuleID()

      Get the ID of integrity rule
      Returns:
        the ID of integrity rule

    - #### setIntegrityRuleID

          public void setIntegrityRuleID(java.lang.Integer integrityRuleID)

      Set the ID of integrity rule
      Parameters:
        `integrityRuleID` - the ID of integrity rule

Copyright © 2015 Trend Micro Inc. All Rights Reserved.